SATA_SET_SPD_NEEDED(9)

NAME
sata_set_spd_needed - is SATA spd configuration needed

SYNOPSIS

int sata_set_spd_needed(struct ata_link * link);

ARGUMENTS

link
    Link in question

DESCRIPTION

Test whether the spd limit in SControl matches link->sata_spd_limit. This function is used to determine whether hardreset is necessary to apply SATA spd configuration.

LOCKING

Inherited from caller.

RETURNS

1 if SATA spd configuration is needed, 0 otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT